import asyncio
import aprs

async def main():
    transport, protocol = await aprs.create_tcp_connection("192.168.0.30", 8001)

    async for frame in protocol.read():
        print(frame)

if __name__ == "__main__":
    asyncio.run(main())